#ifndef _BREAKOUTLGCIRCLE_H_
#define _BREAKOUTLGCIRCLE_H_

#include "IBreakoutLevelGenerator.h"

class BreakoutLGCircle : public IBreakoutLevelGenerator
{
	public:
	BreakoutLGCircle();
	~BreakoutLGCircle();

	virtual BreakoutLevel* GenerateLevel(BreakoutLocationArray* pAvailableLocations, const Vector2i &boxSize, const int &maxHealth);
};

#endif
